## python-django-imagekit 4.0.2

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python $(shell which sphinx-build)
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/ImageKit.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/ImageKit.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/ImageKit"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/ImageKit"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## python-django-imagekit 4.0.1

=== debian/changelog ===
python-django-imagekit (4.0.1-1) unstable; urgency=low

  * Initial release (Closes: #868865).

 -- Michael Fladischer <fladi@debian.org>  Tue, 18 Jul 2017 15:58:13 +0200

=== debian/control ===
Source: python-django-imagekit
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Michael Fladischer <fladi@debian.org>
Build-Depends: debhelper (>= 10),
               dh-python,
               python3-all,
               python3-bs4,
               python3-django-appconf,
               python3-django-nose,
               python3-mock,
               python3-pilkit,
               python3-setuptools,
               python3-sphinx
Standards-Version: 4.0.0
X-Python3-Version: >= 3.3
Homepage: https://github.com/matthewwithanm/django-imagekit/
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-django-imagekit.git
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-django-imagekit.git

Package: python3-django-imagekit
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Suggests: python-django-imagekit-doc
Description: Automated image processing for Django (Python3 version)
 ImageKit is a Django app for processing images. Need a thumbnail? A
 black-and-white version of a user-uploaded image? ImageKit will make them for
 you. If you need to programmatically generate one image from another, you need
 ImageKit.
 .
 ImageKit comes with a bunch of image processors for common tasks like resizing
 and cropping, but you can also create your own.
 .
 This package contains the Python 3 version of the library.


Package: python-django-imagekit-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: Automated image processing for Django (Documentation)
 ImageKit is a Django app for processing images. Need a thumbnail? A
 black-and-white version of a user-uploaded image? ImageKit will make them for
 you. If you need to programmatically generate one image from another, you need
 ImageKit.
 .
 ImageKit comes with a bunch of image processors for common tasks like resizing
 and cropping, but you can also create your own.
 .
 This package contains the documentation.

## python-django-imagekit 4.0.2

=== debian/changelog ===
python-django-imagekit (4.0.2-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs
  * Use debhelper-compat instead of debian/compat.

  [ Michael Fladischer ]
  * Refresh patches.
  * Add patch to not check for cache file existence if name is None
    (Closes: #950070).
  * Bump debhelper version to 12.
  * Bump Standards-Version to 4.5.0.
  * Set Rules-Requires-Root: no.
  * Tell autodep8 to use the correct import name.

 -- Michael Fladischer <fladi@debian.org>  Sun, 23 Feb 2020 16:33:44 +0100

python-django-imagekit (4.0.2-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Michael Fladischer ]
  * Bump debhelper compatibility and version to 11.
  * Bump Standards-Version to 4.1.4.
  * Remove X-Python3-Version field as it is no longer applicable.

 -- Michael Fladischer <fladi@debian.org>  Wed, 09 May 2018 12:00:18 +0200

python-django-imagekit (4.0.2-1) unstable; urgency=low

  * Refresh patches after git-dpm to gbp pq conversion
  * New upstream release.
  * Bump Standards-Version to 4.1.1.
  * Run wrap-and-sort -bast to reduce diff size of future changes.
  * Directly depend on python3-django.
  * Enable autopkgtest-pkg-python testsuite.

 -- Michael Fladischer <fladi@debian.org>  Fri, 24 Nov 2017 10:10:54 +0100

=== debian/control ===
Source: python-django-imagekit
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-all,
 python3-bs4,
 python3-django-appconf,
 python3-django-nose,
 python3-mock,
 python3-pilkit,
 python3-setuptools,
 python3-sphinx,
Standards-Version: 4.5.0
Homepage: https://github.com/matthewwithanm/django-imagekit/
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-django-imagekit
Vcs-Git: https://salsa.debian.org/python-team/modules/python-django-imagekit.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python-django-imagekit-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Automated image processing for Django (Documentation)
 ImageKit is a Django app for processing images. Need a thumbnail? A
 black-and-white version of a user-uploaded image? ImageKit will make them for
 you. If you need to programmatically generate one image from another, you need
 ImageKit.
 .
 ImageKit comes with a bunch of image processors for common tasks like resizing
 and cropping, but you can also create your own.
 .
 This package contains the documentation.

Package: python3-django-imagekit
Architecture: all
Depends:
 python3-django,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-django-imagekit-doc,
Description: Automated image processing for Django (Python3 version)
 ImageKit is a Django app for processing images. Need a thumbnail? A
 black-and-white version of a user-uploaded image? ImageKit will make them for
 you. If you need to programmatically generate one image from another, you need
 ImageKit.
 .
 ImageKit comes with a bunch of image processors for common tasks like resizing
 and cropping, but you can also create your own.
 .
 This package contains the Python 3 version of the library.

=== debian/watch ===
version=3
opts=filenamemangle=s/.*\/([\d\.]+.*)$/python-django-imagekit-$1/ \
https://github.com/matthewwithanm/django-imagekit/releases \
/matthewwithanm/django-imagekit/archive/([\d\.]+)\.tar\.gz

## python-django-imagekit 4.1.0

=== debian/changelog ===
python-django-imagekit (4.1.0-1) unstable; urgency=low

  * New upstream release.
  * Check tags in d/watch instead of releases.
  * Refresh patches, drop those fixed by upstream:
     - 0002-Disable-usage-of-nose-progressive-as-it-has-not-been.patch
     - 0004-Do-not-check-for-existence-if-name-is-None-Closes-95.patch
     - 0005-Set-filename-in-tests-to-avoid-path-traversal-detect.patch
  * Add python3-pytest and python3-pytest-django to Build-Depends.
  * Install testfiles using d/pybuild.testfiles.
  * Enable upstream testsuite for autopkgtests.
  * Remove unnecessary autopkgtest-pkg-python testsuite.

 -- Michael Fladischer <fladi@debian.org>  Tue, 02 Nov 2021 17:12:28 +0000

python-django-imagekit (4.0.2-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Michael Fladischer ]
  * Update d/watch to work with github again.
  * Bump debhelper version to 13.
  * Bump Standards-Version to 4.6.0.1.
  * Add patch to avoid triggering path traversal detection in tests
    (Closes: #991650).
  * Use uscan version 4.

 -- Michael Fladischer <fladi@debian.org>  Sun, 31 Oct 2021 21:35:09 +0000

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: python-django-imagekit
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  python3-all,
  python3-bs4,
@@ -13,13 +13,14 @@
  python3-django-nose,
  python3-mock,
  python3-pilkit,
+ python3-pytest,
+ python3-pytest-django,
  python3-setuptools,
  python3-sphinx,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0.1
 Homepage: https://github.com/matthewwithanm/django-imagekit/
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-django-imagekit
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-django-imagekit.git
-Testsuite: autopkgtest-pkg-python
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-imagekit
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-imagekit.git
 Rules-Requires-Root: no
 
 Package: python-django-imagekit-doc

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/([\d\.]+.*)$/python-django-imagekit-$1/ \
https://github.com/matthewwithanm/django-imagekit/tags \
/matthewwithanm/django-imagekit/archive/refs/tags/([\d\.]+)\.tar\.gz

## python-django-imagekit 5.0

=== debian/changelog ===
python-django-imagekit (5.0-3) unstable; urgency=medium

  * Team upload.
  * remove extraneous build-dep on python3-django-nose

 -- Alexandre Detiste <tchet@debian.org>  Fri, 03 May 2024 11:16:32 +0200

python-django-imagekit (5.0-2) unstable; urgency=medium

  * Team upload.
  * remove extraneous build-dep on python3-mock

 -- Alexandre Detiste <tchet@debian.org>  Sun, 17 Mar 2024 22:55:14 +0100

python-django-imagekit (5.0-1) unstable; urgency=medium

  * New upstream version 5.0
  * Refresh patches.
  * Build using pybuild-plugin-pyproject.
  * Bump Standards-Version to 4.6.2.
  * Remove imagekit/compat.py from d/copyright.
  * Depend on python3-all for autopkgtests.

 -- Michael Fladischer <fladi@debian.org>  Sun, 01 Oct 2023 09:30:12 +0000

python-django-imagekit (4.1.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + python-django-imagekit-doc: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 16 Oct 2022 18:02:22 +0100

=== debian/control ===
--- 
+++ 
@@ -7,17 +7,16 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-bs4,
  python3-django-appconf,
- python3-django-nose,
- python3-mock,
  python3-pilkit,
  python3-pytest,
  python3-pytest-django,
  python3-setuptools,
  python3-sphinx,
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/matthewwithanm/django-imagekit/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-imagekit
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-imagekit.git
@@ -29,6 +28,7 @@
 Depends:
  ${misc:Depends},
  ${sphinxdoc:Depends},
+Multi-Arch: foreign
 Description: Automated image processing for Django (Documentation)
  ImageKit is a Django app for processing images. Need a thumbnail? A
  black-and-white version of a user-uploaded image? ImageKit will make them for

## python-django-imagekit 6.0

=== debian/changelog ===
python-django-imagekit (6.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - Support Python 3.14 (closes: #1123218).
  * Drop "Rules-Requires-Root: no", default as of dpkg-dev 1.22.13.

 -- Colin Watson <cjwatson@debian.org>  Thu, 01 Jan 2026 17:52:41 +0000

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,6 @@
 Homepage: https://github.com/matthewwithanm/django-imagekit/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-imagekit
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-imagekit.git
-Rules-Requires-Root: no
 
 Package: python-django-imagekit-doc
 Section: doc

## python-django-imagekit 6.1

=== debian/changelog ===
python-django-imagekit (6.1-1) unstable; urgency=low

  * New upstream version 6.1
  * Use uscan version 5 GitHub template.
  * Refresh and renumber patches.
  * Use dh-sequence-python3.
  * Bump Standards-Version to 4.7.3.
  * Update year in d/copyright.
  * Switch Testsuite to autopkgtest-pkg-pybuild.
  * Drop field Priority: optional.
  * Remove license BSD-3-clause-Django as it is not used anywhere.

 -- Michael Fladischer <fladi@debian.org>  Mon, 23 Feb 2026 20:34:54 +0000

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: python-django-imagekit
 Section: python
-Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  pybuild-plugin-pyproject,
  python3-all,
  python3-bs4,
@@ -16,10 +15,11 @@
  python3-pytest-django,
  python3-setuptools,
  python3-sphinx,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/matthewwithanm/django-imagekit/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-imagekit
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-imagekit.git
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python-django-imagekit-doc
 Section: doc

=== debian/watch ===
Version: 5
Template: GitHub
Owner: matthewwithanm
Project: django-imagekit
